##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""PloneNewsItem"""
import AccessControl.Permissions
import PloneNewsItem
import PloneNewsItemTool

from global_symbols import *

from AccessControl.Permissions import *


from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

registerDirectory('skins', globals())
registerDirectory('skins/PloneNewsItem', globals())

install_globals = globals()          # Used only in the Extensions/Install.py script


# Classes & constructors declaration
contentClasses = (PloneNewsItem.PloneNewsItem, )
contentConstructors = (PloneNewsItem.addPloneNewsItem, )


# Initialization method
def initialize(context):
    utils.ContentInit(
        'News Item',
        content_types = contentClasses,
        permission = PloneNewsItem_addPermission,
        extra_constructors = contentConstructors,
        fti = (PloneNewsItem.factory_type_information,),
        ).initialize(context)

    context.registerClass(
        PloneNewsItemTool.PloneNewsItemTool,
        meta_type="PloneNewsItem Tool",
        constructors=(PloneNewsItemTool.addPloneNewsItemTool,),
        icon = 'tool.gif')
